aboutsummaryrefslogtreecommitdiffstats
path: root/src/sec-updater/sec-updater.sh
diff options
context:
space:
mode:
authorAndreas Steffen <andreas.steffen@strongswan.org>2017-09-09 13:13:28 +0200
committerAndreas Steffen <andreas.steffen@strongswan.org>2017-09-09 20:23:19 +0200
commit8aad7ffb11beb1c39bde41a456b7c21b240667c8 (patch)
tree4bc91c9c3e6676a43bdd67bfc713519b77a8fa7e /src/sec-updater/sec-updater.sh
parent33a729fac2f6637d1eaacfdc6fd9e6f16259b42c (diff)
downloadstrongswan-8aad7ffb11beb1c39bde41a456b7c21b240667c8.tar.bz2
strongswan-8aad7ffb11beb1c39bde41a456b7c21b240667c8.tar.xz
sec-updater: Import SWID tags of updated packages
sec-updater downloads the deb package files from security updates from a given linux repository and uses the swid_generator command to derive a SWID tag. The SWID tag is then imported into strongTNC using the manage.py importswid command.
Diffstat (limited to 'src/sec-updater/sec-updater.sh')
-rwxr-xr-xsrc/sec-updater/sec-updater.sh48
1 files changed, 35 insertions, 13 deletions
diff --git a/src/sec-updater/sec-updater.sh b/src/sec-updater/sec-updater.sh
index 1177c8bef..ca7b89841 100755
--- a/src/sec-updater/sec-updater.sh
+++ b/src/sec-updater/sec-updater.sh
@@ -10,7 +10,7 @@ UBUNTU_ARCH="binary-amd64"
DEBIAN="http://security.debian.org"
DEBIAN_VERSIONS="jessie wheezy"
DEBIAN_DIRS="main contrib non-free"
-DEBIAN_ARCH="binary-amd64"
+DEBIAN_ARCH="binary-amd64 binary-armhf"
RASPIAN="http://archive.raspberrypi.org/debian"
RASPIAN_VERSIONS="jessie wheezy"
RASPIAN_DIRS="main"
@@ -74,66 +74,88 @@ done
for f in xenial-security/binary-amd64/*
do
echo "security: $f"
- $CMD --product "Ubuntu 16.04 x86_64" --file $f --security >> $CMD_LOG 2>&1
+ $CMD --os "Ubuntu 16.04" --arch "x86_64" --file $f --security \
+ --uri $UBUNTU >> $CMD_LOG 2>&1
if [ $? -eq 0 ]
then
DEL_LOG=0
- echo $DEL_LOG
fi
done
for f in xenial-updates/binary-amd64/*
do
echo "updates: $f"
- $CMD --product "Ubuntu 16.04 x86_64" --file $f >> $CMD_LOG 2>&1
+ $CMD --os "Ubuntu 16.04" --arch "x86_64" --file $f \
+ --uri $UBUNTU >> $CMD_LOG 2>&1
if [ $? -eq 0 ]
then
DEL_LOG=0
- echo $DEL_LOG
fi
done
for f in jessie-updates/binary-amd64/*
do
echo "security: $f"
- $CMD --product "Debian 8.0 x86_64" --file $f --security >> $CMD_LOG 2>&1
+ $CMD --os "Debian 8.0" --arch "x86_64" --file $f --security \
+ --uri $DEBIAN >> $CMD_LOG 2>&1
if [ $? -eq 0 ]
then
DEL_LOG=0
- echo $DEL_LOG
fi
done
for f in wheezy-updates/binary-amd64/*
do
echo "security: $f"
- $CMD --product "Debian 7.0 x86_64" --file $f --security >> $CMD_LOG 2>&1
+ $CMD --os "Debian 7.0" --arch "x86_64" --file $f --security \
+ --uri $DEBIAN >> $CMD_LOG 2>&1
+ if [ $? -eq 0 ]
+ then
+ DEL_LOG=0
+ fi
+done
+
+for f in jessie-updates/binary-armhf/*
+do
+ echo "security: $f"
+ $CMD --os "Debian 8.0" --arch "armhf" --file $f --security \
+ --uri $DEBIAN >> $CMD_LOG 2>&1
+ if [ $? -eq 0 ]
+ then
+ DEL_LOG=0
+ fi
+done
+
+for f in wheezy-updates/binary-armhf/*
+do
+ echo "security: $f"
+ $CMD --os "Debian 7.0" --arch "armhf" --file $f --security \
+ --uri $DEBIAN >> $CMD_LOG 2>&1
if [ $? -eq 0 ]
then
DEL_LOG=0
- echo $DEL_LOG
fi
done
for f in jessie-raspian/binary-armhf/*
do
echo "security: $f"
- $CMD --product "Debian 8.0 armv7l" --file $f --security >> $CMD_LOG 2>&1
+ $CMD --os "Debian 8.0" --arch "armv7l" --file $f --security \
+ --uri $RASPIAN >> $CMD_LOG 2>&1
if [ $? -eq 0 ]
then
DEL_LOG=0
- echo $DEL_LOG
fi
done
for f in wheezy-raspian/binary-armhf/*
do
echo "security: $f"
- $CMD --product "Debian 7.11 armv7l" --file $f --security >> $CMD_LOG 2>&1
+ $CMD --os "Debian 7.11" --arch "armv7l" --file $f --security \
+ --uri $RASPIAN >> $CMD_LOG 2>&1
if [ $? -eq 0 ]
then
DEL_LOG=0
- echo $DEL_LOG
fi
done